de.esprit.netsuite.netdata

## Class ServerHost

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.util.Host
      - - de.esprit.netsuite.netdata.ServerHost

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public final class ServerHost
      extends Host
      implements Renderable

  This class defines the ports used by the server
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerHost(java.lang.String hostname, int port)` This constructor is used by the client.
    `ServerHost(java.lang.String serverName, java.lang.String hostname, int port)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`
    `java.lang.String` | `getServerName()`
    `static ServerHost` | `parseCommandLineArg(java.lang.String arg)`
    `void` | `setServerName(java.lang.String serverName)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.Host

      `equals, getIpAddr, getPort, hashCode, toDumpString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerHost

          public ServerHost(java.lang.String hostname,
                    int port)

      This constructor is used by the client. Note that the serverName is not known before the client is connected to the server. Thats why it must be set after construction.

    - #### ServerHost

          public ServerHost(java.lang.String serverName,
                    java.lang.String hostname,
                    int port)

  - ### Method Detail

    - #### getServerName

          public final java.lang.String getServerName()

    - #### setServerName

          public final void setServerName(java.lang.String serverName)

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `Host`

    - #### parseCommandLineArg

          public static ServerHost parseCommandLineArg(java.lang.String arg)
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.